summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2023-03-07 22:12:46 +0100
committerChristian Grothoff <christian@grothoff.org>2023-03-07 22:12:46 +0100
commitb0a7e95d8e82730cc7c0dc52e15d5a72648b0bc4 (patch)
treea898dadd333365d93293f72feae6806378b6806a
parent311fc2e4b2de28bb65a8c8cb637c59c36d89a770 (diff)
downloaddeployment-b0a7e95d8e82730cc7c0dc52e15d5a72648b0bc4.tar.gz
deployment-b0a7e95d8e82730cc7c0dc52e15d5a72648b0bc4.tar.bz2
deployment-b0a7e95d8e82730cc7c0dc52e15d5a72648b0bc4.zip
fixes
-rwxr-xr-xnetzbon/setup-exchange.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/netzbon/setup-exchange.sh b/netzbon/setup-exchange.sh
index b77e55d..3d1e795 100755
--- a/netzbon/setup-exchange.sh
+++ b/netzbon/setup-exchange.sh
@@ -66,6 +66,15 @@ then
fi
else
say "Master public key is $MASTER_PUBLIC_KEY"
+ if test ${DO_OFFLINE:-y} == y
+ then
+ MASTER_PUBLIC_KEY2=`sudo -i -u taler-exchange-offline taler-exchange-offline setup`
+ if "${MASTER_PUBLIC_KEY2}" != "${MASTER_PUBLIC_KEY}"
+ then
+ say "Error: master public key missmatch ${MASTER_PUBLIC_KEY2} does not match ${MASTER_PUBLIC_KEY}"
+ exit 1
+ fi
+ fi
fi
export MASTER_PUBLIC_KEY